Subject: Re: bug#14448: Wrong indentation in comment lines for F90 mode?

From: Stefan Monnier <[email-masked]>
Date: Sun, 26 May 2013 14:36:47 -0400

> Is M-j supposed to re-indent the line it starts on, or not?

That's unspecified.  IIUC it doesn't, currently.

> If not, is it supposed to indent the following line as it would normally
> be indented, or to match the indentation of the original line?

The new line should be indented according to indent-according-to-mode.

> If the answers are "no", and "as normal", then there is no bug here.

At least w.r.t M-j, that's my impression as well: the only problem is
that the OP wants his ! comments to be on column 0 whereas f90-mode puts
them in column 1, but that's unrelated to M-j.

        Stefan